Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593256 - Unable to set readonly flag for floppy disks
Summary: Unable to set readonly flag for floppy disks
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Gerd Hoffmann
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 593237
TreeView+ depends on / blocked
 
Reported: 2010-05-18 10:35 UTC by Daniel Berrange
Modified: 2013-01-09 22:35 UTC (History)
6 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.71.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-11 19:34:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Daniel Berrange 2010-05-18 10:35:56 UTC
Description of problem:
Attempting to set a readonly floppy fails with

qemu: readonly flag not supported for drive with this interface


Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.52.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. /usr/libexec/qemu-kvm -M rhel6.0.0  -drive file=/var/lib/libvirt/images/fd.img,if=none,id=drive-fdc0-0-0,readonly=on,format=raw  -global isa-fdc.driveA=drive-fdc0-0-0
2.
3.
  
Actual results:
qemu: readonly flag not supported for drive with this interface


Expected results:
QEMU boots

Additional info:

Comment 1 RHEL Product and Program Management 2010-05-18 10:55:39 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Gerd Hoffmann 2010-05-26 12:28:01 UTC
Patch posted upstream, kwolf picked it into the block branch.
http://patchwork.ozlabs.org/patch/53598/

Comment 6 Mike Cao 2010-06-08 05:06:38 UTC
Reproduce it in qemu-kvm-0.12.1.2-2.69.el6

Verified in qemu-kvm-0.12.1.2-2.71.el6

Steps :
1.start VM with readonly floppy
#/usr/libexec/qemu-kvm -m 512 -smp 1,sockets=1,cores=1,threads=1 -name tt -uuid `uuidgen` -rtc-td-hack -boot c -drive file=/home/win7_64,if=none,id=drive-ide0-0-0,boot=on,format=raw -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive file=/home/virtio-drivers.vfd,readonly=on,if=none,id=drive-fdc0-0-0 -global isa-fdc.driveA=drive-fdc0-0-0 -net nic,macaddr=20:40:50:12:23:21,model=virtio,vlan=0 -net tap,script=/etc/qemu-ifup,vlan=0 -vnc :8 -monitor stdio
2.In the qemu monitor ,check floppy status by using (qemu)info block
3.In the guest ,check floppy disk is readonly or not.

Actual Results:
After step2:drive-fdc0-0-0: type=hd removable=0 file=/home/virtio-drivers.vfd ro=1 drv=raw encrypted=0
After step3,Can not write in the floppy disk.the disk is readonly mode.

Readonly flag can be used for floppy disks
the bug has already been fixed.

Comment 8 lihuang 2010-07-11 19:34:05 UTC
closing according to #c6


Note You need to log in before you can comment on or make changes to this bug.